cURL
curl -X POST "https://api.joinformal.com/core.v1.DesktopService/ListUserDevices" \
-H "X-API-KEY: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"example": "value"
}'{
"devices": [
{
"deviceId": "<string>",
"version": "<string>",
"ipAddress": "<string>",
"transparentProxyEnabled": true,
"hardwareInfo": {
"modelName": "<string>",
"modelIdentifier": "<string>",
"modelNumber": "<string>",
"serialNumber": "<string>",
"hardwareUuid": "<string>",
"provisioningUdid": "<string>",
"activationLockStatus": "<string>"
},
"softwareInfo": {
"systemVersion": "<string>",
"kernelVersion": "<string>",
"computerName": "<string>",
"userName": "<string>"
},
"lastSeenAt": "2023-11-07T05:31:56Z",
"tlsCertificateTrusted": true,
"config": {
"authMode": "<string>",
"checkForUpdates": true,
"transparentProxy": {
"enable": true,
"enforce": true,
"fail": "<string>",
"allowQuic": true
}
}
}
],
"listMetadata": {
"after": "<string>",
"before": "<string>",
"count": 123,
"nextCursor": "<string>"
}
}core.v1.DesktopService
ListUserDevices
POST
/
core.v1.DesktopService
/
ListUserDevices
cURL
curl -X POST "https://api.joinformal.com/core.v1.DesktopService/ListUserDevices" \
-H "X-API-KEY: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"example": "value"
}'{
"devices": [
{
"deviceId": "<string>",
"version": "<string>",
"ipAddress": "<string>",
"transparentProxyEnabled": true,
"hardwareInfo": {
"modelName": "<string>",
"modelIdentifier": "<string>",
"modelNumber": "<string>",
"serialNumber": "<string>",
"hardwareUuid": "<string>",
"provisioningUdid": "<string>",
"activationLockStatus": "<string>"
},
"softwareInfo": {
"systemVersion": "<string>",
"kernelVersion": "<string>",
"computerName": "<string>",
"userName": "<string>"
},
"lastSeenAt": "2023-11-07T05:31:56Z",
"tlsCertificateTrusted": true,
"config": {
"authMode": "<string>",
"checkForUpdates": true,
"transparentProxy": {
"enable": true,
"enforce": true,
"fail": "<string>",
"allowQuic": true
}
}
}
],
"listMetadata": {
"after": "<string>",
"before": "<string>",
"count": 123,
"nextCursor": "<string>"
}
}Authorizations
API key authentication. Get your API key from the Formal console.
Body
application/json
Was this page helpful?
⌘I